--
-- CREATE TABLE AS
--

-- Create the tables 
create table cta1 (a int4, b int4);
create table cta2 (a int4, c int4);
create table cta3 (a int4, d int4);
create table cta10 (a int4);

insert into cta1 values (1, 11);
insert into cta1 values (2, 12);

insert into cta2 values (1, 21);
insert into cta2 values (2, 22);
insert into cta2 values (3, 23);

insert into cta3 values (1, 31);
insert into cta3 values (2, 32);
insert into cta3 values (3, 33);
insert into cta3 values (4, 34);
insert into cta3 values (5, 35);

insert into cta10 values (11);
insert into cta10 values (22);
insert into cta10 values (333);
insert into cta10 values (44);
insert into cta10 values (55);

create temp table cta4 as select * from cta1 where a > 1;
select * from cta4;

create table cta5 as select * from cta1 join cta2 using (a);
select * from cta5;

create table cta6 (x, y) as select a, d from cta3 where d > 32;
select * from cta6;

insert into cta1 values (3, 13); -- this should not affect the tables cta4, cta5, cta6
insert into cta2 values (4, 24);
insert into cta3 values (6, 36);

select * from cta4;
select * from cta5;
select * from cta6;

create temporary table cta7 as select * from cta4 where a >0; 
select * from cta7;

create table cta8 as select * from cta4 t1 (a, b) cross join cta5 t2 (x, y, z); 
select * from cta8;

create table cta9 (x) as select a from cta3 where d > 32;
select * from cta9;

-- this should work if list has only one column
create table cta11 (x) as select * from cta10;
select * from cta11;

drop table cta1;
drop table cta2;
drop table cta3;
drop table cta5;
drop table cta6;
drop table cta7;
drop table cta8;
drop table cta9;
drop table cta10;
drop table cta11;

